curl --request PUT \
--url https://api.honeycomb.io/1/burn_alerts/{datasetSlug}/{burnAlertId} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"alert_type": "exhaustion_time",
"exhaustion_minutes": 120,
"recipients": [
{
"id": "abcd123",
"type": "email",
"target": "alerts@example.com"
}
],
"description": "Use this runbook if this alert fires.",
"auto_investigate": false
}
'import requests
url = "https://api.honeycomb.io/1/burn_alerts/{datasetSlug}/{burnAlertId}"
payload = {
"alert_type": "exhaustion_time",
"exhaustion_minutes": 120,
"recipients": [
{
"id": "abcd123",
"type": "email",
"target": "alerts@example.com"
}
],
"description": "Use this runbook if this alert fires.",
"auto_investigate": False
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alert_type: 'exhaustion_time',
exhaustion_minutes: 120,
recipients: [{id: 'abcd123', type: 'email', target: 'alerts@example.com'}],
description: 'Use this runbook if this alert fires.',
auto_investigate: false
})
};
fetch('https://api.honeycomb.io/1/burn_alerts/{datasetSlug}/{burnAlertId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_type": "exhaustion_time",
"exhaustion_minutes": 120,
"id": "fS7vfB81Wcy",
"description": "Use this runbook if this alert fires.",
"triggered": false,
"created_at": "2022-09-22T17:32:11Z",
"updated_at": "2022-10-31T15:08:11Z",
"auto_investigate": false,
"slo": {
"id": "2LBq9LckbcA"
},
"recipients": [
{
"id": "abcd123",
"type": "email",
"target": "alerts@example.com"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Update a Burn Alert
Update a Burn Alert by specifying its ID and full details.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The dataset slug or use __all__ for endpoints that support environment-wide operations.
The unique identifier (ID) of a Burn Alert.
Body
- Exhaustion Time
- Budget Rate
One of the supported alert types:
exhaustion_time: Notifies when you are about to run out of SLO budget within a specified number of hours.budget_rate: Notifies when budget drops by at least a specified percentage within a defined time window.
exhaustion_time, budget_rate "exhaustion_time"
Required when alert_type is exhaustion_time.
Must not be specified when alert_type is budget_rate.
Amount of time (in minutes) left until your projected SLO budget is exhausted. The alert will fire when this exhaustion threshold is reached.
x >= 0120
A list of Recipients to notify when an alert fires. Using type+target is deprecated. First, create the Recipient via the Recipients API, and then specify the ID.
1Show child attributes
Show child attributes
[
{
"id": "abcd123",
"type": "email",
"target": "alerts@example.com"
}
]
A description of the Burn Alert.
1023"Use this runbook if this alert fires."
When true, Honeycomb will automatically start an investigation when this Burn Alert fires.
false
Response
Success
- Exhaustion Time
- Budget Rate
One of the supported alert types:
exhaustion_time: Notifies when you are about to run out of SLO budget within a specified number of hours.budget_rate: Notifies when budget drops by at least a specified percentage within a defined time window.
exhaustion_time, budget_rate "exhaustion_time"
Required when alert_type is exhaustion_time.
Must not be specified when alert_type is budget_rate.
Amount of time (in minutes) left until your projected SLO budget is exhausted. The alert will fire when this exhaustion threshold is reached.
x >= 0120
Unique identifier (ID) of a Burn alert.
"fS7vfB81Wcy"
A description of the Burn Alert.
1023"Use this runbook if this alert fires."
Indicates if the Burn Alert has been triggered. This field is read-only and is set to true when the alert is triggered.
false
The ISO8601-formatted time when the Burn Alert was created.
"2022-09-22T17:32:11Z"
The ISO8601-formatted time when the Burn Alert was updated.
"2022-10-31T15:08:11Z"
When true, Honeycomb will automatically start an investigation when this Burn Alert fires.
false
Details about the SLO associated with the burn alert.
Show child attributes
Show child attributes
{ "id": "2LBq9LckbcA" }
A list of Recipients to notify when an alert fires. Using type+target is deprecated. First, create the Recipient via the Recipients API, and then specify the ID.
1Show child attributes
Show child attributes
[
{
"id": "abcd123",
"type": "email",
"target": "alerts@example.com"
}
]